#include <iostream>

using namespace std;

int main()
{
    int n;
    cin>>n;
    int a[n];
    for(int i=0;i<n;i++){
        cin>>a[i];
    }
    int indeks,promena = 0;
    for(int i=0;i<n;i++){
        indeks = i;
        for(int j=i+1;j<n;j++){
            if(a[indeks]<a[j]){
                indeks = j;
            }
        }
        if(a[indeks]!=a[i]){
            int pom = a[indeks];
            a[indeks] = a[i];
            a[i] = pom;
            promena = 1;
        }
    }
    if(promena == 0){
        int pom = a[n-1];
        a[n-1] = a[n-2];
        a[n-2] = pom;
    }
    for(int i=0;i<n;i++){
        cout<<a[i]<<" ";
    }
    return 0;
}